import { type CtrfEnvironment, type CtrfReport } from '../types/ctrf';
interface ReporterConfigOptions {
    outputFile?: string;
    outputDir?: string;
    minimal?: boolean;
    screenshot?: boolean;
    testType?: string;
    appName?: string | undefined;
    appVersion?: string | undefined;
    osPlatform?: string | undefined;
    osRelease?: string | undefined;
    osVersion?: string | undefined;
    buildName?: string | undefined;
    buildNumber?: string | undefined;
}
declare class GenerateCtrfReport {
    readonly ctrfReport: CtrfReport;
    readonly ctrfEnvironment: CtrfEnvironment;
    readonly reporterConfigOptions: ReporterConfigOptions;
    readonly reporterName = "jest-ctrf-json-reporter";
    readonly defaultOutputFile = "ctrf-report.json";
    readonly defaultOutputDir = "ctrf";
    filename: string;
    constructor(reporterOptions: ReporterConfigOptions);
    private attachListeners;
    private setFilename;
    private calculateTestDuration;
    private addTestResult;
    setEnvironmentDetails(reporterConfigOptions: ReporterConfigOptions): void;
    hasEnvironmentDetails(environment: CtrfEnvironment): boolean;
    private writeReportToFile;
}
export default GenerateCtrfReport;
